org.apache.tiles.request

## Interface DispatchRequest

- All Superinterfaces:
    Request
  All Known Implementing Classes:
    AbstractClientRequest, AbstractRequest, AbstractViewRequest, DispatchRequestWrapper, FreemarkerRequest, JspRequest, ServletRequest, VelocityRequest

      public interface DispatchRequest
      extends Request

  Encapsulation of request information.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tiles.request.Request

      `APPLICATION_SCOPE, REQUEST_SCOPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String path)` Dispatches the request to a specified path.
    `void` | `include(String path)` Includes the response from the specified URL in the current response output.
    `void` | `setContentType(String contentType)` Sets the content type when rendering the result.

    - ### Methods inherited from interface org.apache.tiles.request.Request

      `getApplicationContext, getAvailableScopes, getContext, getHeader, getHeaderValues, getOutputStream, getParam, getParamValues, getPrintWriter, getRequestLocale, getResponseHeaders, getWriter, isResponseCommitted, isUserInRole`

- - ### Method Detail

    - #### dispatch

          void dispatch(String path)
                 throws IOException

      Dispatches the request to a specified path.
      Parameters:
        `path` - The path to dispatch to.
      Throws:
        `IOException` - If something goes wrong during dispatching.

    - #### include

          void include(String path)
                throws IOException

      Includes the response from the specified URL in the current response output.
      Parameters:
        `path` - The path to include.
      Throws:
        `IOException` - If something goes wrong during inclusion.

    - #### setContentType

          void setContentType(String contentType)

      Sets the content type when rendering the result.
      Parameters:
        `contentType` - The content type. It should follow the specifications from W3C about content types.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.